<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from bigint_log10.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="percentbigint_log10" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>bigint_log10</refname>
    <refpurpose>bigint decimal logarithm</refpurpose>
  </refnamediv>


<refsection>
   <title>Parameters</title>
   <variablelist>
        <varlistentry>
            <term>x,y:</term>
            <listitem><para> bigint</para></listitem>
        </varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
y is the integer part plus one of the decimal logarithm of x , i.e. the number of digits in decimal representation :
   </para>
   <para>
<latex>\forall  x\in {\mathbb N},\,\, 10^{y-1} \leq x\lneq 10^{y}</latex>
   </para>
   <para>
the algorithm use the Newton method , i.e. it computes the sequence
   </para>
   <para>
<latex>x_{n+1}=x_n-1+{x\over 10^{x_n}}</latex>
until <latex>x_{n+1}\geq x_n</latex>
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

log10(9876543210)
log10(bigint(9876543210))

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="bigint">bigint</link></member>
   <member><link linkend="log10">log10</link></member>
   <member><link linkend="abs">abs</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
